@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&family=Poppins&display=swap');

body {
    margin: 0;
    background-color: white;
    font-family: 'Open Sans', sans-serif;
}

h1 {
	font-size: 12pt;
	color: #505050;
	font-weight: bold;
    font-family: 'Poppins', sans-serif;
}

h3 {
	font-size: 11pt;
	color: #505050;
	font-weight: bold;
	padding: 0px;
    font-family: 'Poppins', sans-serif;
}

a {
    color: #000;
    transition-duration: 0.5s;
}

a.text-link:hover {
    color: #e17c32;
}

a:link {
    text-decoration: none;
    color: #000;
}


html, body {height: 50%;}

#wrap {min-height: 50%;}

/* Menu */ 

.menu-top, .menu-bottom {
    position:fixed;
    width:100%;
    z-index:1
}

.menu-top {
    top:0
}

.menu-bottom {
    bottom:0
}

.menu-bar {
    width:100%;
    overflow:hidden;
    border-width: 0 0 3px 0;
    background-color: #ffffffc0;
}

.menu-center .menu-bar {
    display:inline-block;
    width:auto;
}
.menu-bar .menu-bar-item {
    padding:8px 16px;
    font-family: 'Poppins', sans-serif;
    float:left;
    width:auto;
    border:none;
    display:block;
    outline:0;
}

.menu-bar .menu-dropdown-hover, .menu-bar .menu-dropdown-click {
    position:static;
    float:left;
}

.menu-bar .menu-button {
    white-space:normal;
}

.menu-bar-block .menu-bar-item {
    width:100%;
    display:block;
    padding:8px 16px;
    text-align:left;
    border:none;
    white-space:normal;
    float:none;
    outline:0;
}

.menu-bar-block.menu-center .menu-bar-item {
    text-align:center;
}

.menu-bar-item:hover {
    background-color: #e17c32;
}

.menu-block {
    display:block;
    width:100%;
}

.menu-button {
    -webkit-touch-callout:none;
    -webkit-user-select:none;
    -khtml-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
} 

.menu-right {
    float:right!important;
}

.menu-card {
    border-color: black;
    border-style: solid;
}

.menu-sidebar {
    height:100%;
    width:200px;
    background-color:#fff;
    position:fixed!important;
    z-index:3;
    overflow:auto;
    border-width: 0 3px 0 0;
}

.menu-animate-left {
    position:relative;
    animation:animateleft 0.4s;
}

.menu-icon {
    background: unset;
}

@keyframes animateleft {
    from {
        left:-300px; opacity:0;
    } to {
        left:0; opacity:1;
    }
}

@keyframes animateright {
    from {
        right:-300px;
        opacity:0
    } to{
        right:17%;
        opacity:1
    }
}

@media (max-width:600px) {
    .menu-hide-small{
        display:none!important;
    }
    @keyframes animateright {
        from {
            right:-300px;
            opacity:0
        } to{
            right:0;
            opacity:1
        }
    }
}

@media (min-width:993px) {
    .menu-hide-large {
        display:none!important;
    }

    .menu-sidebar.menu-collapse {
        display:block!important
    }
}

@media (max-width:992px) and (min-width:601px) {
    .menu-hide-medium {
        display:none!important;
    }
}

/* projects */

.project-list {
    margin: auto;
}

.project-row {
    width: 90vw;
    padding-top: 30px;
    padding-bottom: 30px;
    display: flex;
    margin: auto;
}

.project-image {
    width: 450px;
    max-width: 40vw;
    height: 300px;
    max-height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    float: left;
}

.project-image .project-img-src {
    object-fit: cover;
    min-width: 100%;
    min-height: 100%;
}

.project-image .project-img-src:hover{
    min-width: 100%;
    min-height: 100%;
}

.project-description {
    padding-left: 5vw;
    float: left;
    max-width: 37vw;
    margin-right:5px;
}

.project-name {
    font-family: 'Poppins', sans-serif;
}

a.project-link {
    border-color: white;
    border-left-width: 0;
    border-right-width: thick;
    border-top-width: 0;
    border-bottom-width: 0;
    border-style: solid;
}

a.project-link:hover {
    border-color: #e17c32;
}

@media (max-width:600px) {
    .project-image, .project-description, .project-row {
        max-width: 80vw;
        width: auto;
    }

    .project-description {
        padding-left: 0px;
        padding-top: 15px;
    }
}

@media (max-width:992px) and (min-width:601px) {
    .project-row {
        max-width: 80vw;
    }

    .project-image {
        height: 200px;
        max-width: 40vw;
    }
    
    .project-description {
        max-width: 35vw;
    }

    .project-description {
        padding-left: 15px;
    }
}

#mainsection {
	margin-left:30px;
	margin-right:30px;
	font-size: 10pt;

}

.main-image {
	margin:0;
    position: fixed;
    width:100vw;
    height:100vh;
}

.main-image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

@media (max-width:600px) {
    #mainsection{
        margin-left:10px;
    }
}

#mainpage {
	margin-top:50px;
}

#footer {
    font-family: 'Poppins', sans-serif;
	position: fixed;
	bottom: 0;
	right: 20px;
	font-size: 8pt;
    opacity: 50%;
    
}

/*Opera Fix*/
body:before {
	content:"";
	height:100%;
	float:left;
	width:0;
	margin-top:-32767px;
}

#thick {
	font-weight: bold;
}

/* Bio */
table.cv td {
	text-align: left;
	padding-right: 20px;
}

td.thick {
	font-weight: bold;
}


/* Photo Galleries */
.gallery-single-image{
	margin: auto;
    padding: 10px; 
    width: 80vw;
    height: 80vh;
}

.gallery-single-image img{
    width:100%;
    height:100%;
    object-fit: contain;
}


.gallery {
	margin: auto;
    max-width: 80vw;
}

.gallery .gallery-image { 
	padding: 10px; 
    width: 80vw;
    height: 80vh;
}

.gallery-image img {
    width:100%;
    height:100%;
    object-fit: contain;
}

.gallery-nav {
    text-align: center;
    padding: 0 10px;
    width: 80vw;
}

.gallery-cell {
    text-align: center;
    padding: 0 10px;
    width: 80vw;
}

a.gallery-nav-prevnext {
    cursor: pointer;
    padding: 2px 2px;
    margin: 2px 2px;
    font-size: 4pt;
}

a.gallery-nav-active {
    cursor: pointer;
    padding: 2px 2px;
    margin: 2px 2px;
    font-size: 4pt;
    color: #e17c32;
}

@media (max-width:600px) {
    .gallery .gallery-image { 
        height: 60vh;
    }
}

.prints-section {
    padding-top: 30px;
    padding-bottom: 30px;
}
.prints-gallery {
    display: grid;
    grid-template-columns: auto auto auto;
    grid-gap: 10px;
    padding: 10px;
}

.print-item-src {
    width: 100%;
    cursor: pointer;
}

.prints-sidebar {
    height:85%;
    width:66%;
    max-width: 1000px;
    background-color:#fff;
    position:fixed!important;
    z-index:2;
    overflow:auto;
    border-width: 3px;
    right:17%;
    overflow-y: scroll;
    
}

.prints-sidebar-selection {
    height:30%;
    padding:16px;
    display: flex;
}

.prints-sidebar-image-container {
    margin: auto;
    display: flex;
    width: 90%;
    height: 90%;
    box-shadow: 5px 5px 10px 1px #888888;
}

.print-size-selected {
    background-color: #888888;
}

.print-form-error {
    color: #750c0d;
}

.prints-sidebar-image-container img {
    margin: auto;
    
}

.print-info-block {
    width: 100%;
    display: flex;
}

.print-info-section, .print-info-item {
    padding: 2px 10px;
    margin: 2px;
    font-family: 'Poppins', sans-serif;
    float:left;
    width:auto;
    border:none;
    display:block;
    outline:0;
}

.print-form-border {
    border:#888888;
    border-width: 1px;
    border-style: solid;
}

.print-form-desc {
    min-width: 130px;
}

.print-info-item:hover {
    background-color: #e17c32;
}

input.print-info-section {
    min-width: 200px;
}

/*
.menu-sidebar {
    height:100%;
    width:200px;
    background-color:#fff;
    position:fixed!important;
    z-index:1;
    overflow:auto;
    border-width: 0 3px 0 0;
}
*/

.prints-animate-right {
    
    animation:animateright 0.4s;
    position: relative;

}

@media (max-width:992px) and (min-width:601px) {
    .prints-gallery {
        grid-template-columns: auto auto;
    }
}

@media (max-width:600px) {
    .prints-gallery {
        grid-template-columns: auto ;
    }
    .prints-sidebar {
        width:100%;
        right: 0;
        top: 0;
        height: 100%;
    }
    .print-form-desc {
        min-width: 90px;
    }

    input.print-info-section {
        min-width: 150px;
        font-family: sans-serif!important;
    }

    .print-info-section, .print-info-item, .print-form-desc {
        font-size: 8pt;
    }

    input, input:before, input:after {
        -webkit-user-select: initial!important;
        -khtml-user-select: initial!important;
        -moz-user-select: initial!important;
        -ms-user-select: initial!important;
        user-select: initial!important;
    }
}
